<?php
/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
error_reporting(0);
include "../../include/cctvai.conn.php";
$id=SafeRequest("id", "get");
$action=SafeRequest("ac", "get");
$CcTvAi_com_userid=SafeRequest("uid", "get");
$CcTvAi_com_username=base64_decode(SafeRequest("uname", "get"));
switch ($action) {
	case 'malbum':
		$targetDir="../../upload/malbum/";
		$targetDirW="upload/malbum/";
		$targetDirM=date('Ymd')."/".$id.".".fileext($_FILES['Filedata']['name']);
		$targetDirL="" . date('Ymd') . "/" . rand(10,100).$id . ".".fileext($_FILES['Filedata']['name'])."";
		$fileexts=cd_uppictype;
		$filetypes="音乐专辑图片";
		break;
	case 'valbum':
		$targetDir="../../upload/valbum/";
		$targetDirW="upload/valbum/";
		$targetDirM=date('Ymd')."/".$id.".".fileext($_FILES['Filedata']['name']);
		$targetDirL="" . date('Ymd') . "/" . rand(10,100).$id . ".".fileext($_FILES['Filedata']['name'])."";
		$fileexts=cd_uppictype;
		$filetypes="视频专辑图片";
		break;
	case 'videopic':
		$targetDir="../../upload/videopic/";
		$targetDirW="upload/videopic/";
		$targetDirM=date('Ymd')."/".$id.".".fileext($_FILES['Filedata']['name']);
		$targetDirL="" . date('Ymd') . "/" . rand(10,100).$id . ".".fileext($_FILES['Filedata']['name'])."";
		$fileexts=cd_uppictype;
		$filetypes="视频图片";
		break;
	case 'dancepic':
		$targetDir="../../upload/dancepic/";
		$targetDirW="upload/dancepic/";
		$targetDirM=date('Ymd')."/".$id.".".fileext($_FILES['Filedata']['name']);
		$targetDirL="" . date('Ymd') . "/" . rand(10,100).$id . ".".fileext($_FILES['Filedata']['name'])."";
		$fileexts=cd_uppictype;
		$filetypes="音乐图片";
		break;
	default:
	exit(iconv('GB2312', 'UTF-8', '参数错误！'));
	break;
}
if (!empty($_FILES)) {
	if ($_FILES['Filedata']['size']>cd_uppicsize*1024*1024) {@unlink($_FILES['Filedata']['tmp_name']);exit(iconv('GB2312', 'UTF-8', '请上传小于的'.formatsize(cd_uppicsize*1024*1024).'的图片文件！'));}
	if (!$_FILES['Filedata']['name']) {@unlink($_FILES['Filedata']['tmp_name']);exit(iconv('GB2312', 'UTF-8', '请先选择您要上传的图片文件！'));}
	if (strpos($fileexts, fileext($_FILES['Filedata']['name']))!==false) {} else {@unlink($_FILES['Filedata']['tmp_name']);exit(iconv('GB2312', 'UTF-8', '请上传正确的图片文件！'));}
	if (isImage($_FILES['Filedata']['tmp_name'])===false) {@unlink($_FILES['Filedata']['tmp_name']);exit(iconv('GB2312', 'UTF-8', '请上传正确的图片文件！'));}
	if (!file_exists(_cctvai_root_.$targetDirW.date('Ymd'))) {@mkdir(_cctvai_root_.$targetDirW.date('Ymd'), 0777, true);}
	if (@is_dir(_cctvai_root_.$targetDirW.date('Ymd'))===false) {@unlink($_FILES['Filedata']['tmp_name']);exit(iconv('GB2312', 'UTF-8', '图片文件储存失败，请联系管理员！'));}
	if (move_uploaded_file($_FILES['Filedata']['tmp_name'], $targetDir.$targetDirL)===false) {@unlink($_FILES['Filedata']['tmp_name']);exit(iconv('GB2312', 'UTF-8', '写入文件失败，请重试！'));}
	@chmod($targetDir.$targetDirL, 0644);
	$img_info = getimagesize(_cctvai_root_.$targetDirW.$targetDirL);
	resizeImage(_cctvai_root_.$targetDirW.$targetDirL, $img_info[0], $img_info[1], $targetDir.$targetDirM);
	@unlink(_cctvai_root_.$targetDirW.$targetDirL);
	@unlink($_FILES['Filedata']['tmp_name']);
	if(!file_exists(_cctvai_root_.$targetDirW.$targetDirM)){
		exit(iconv('GB2312', 'UTF-8', '文件格式错误，请重新上传！'));
		}else{
			//记录上传信息
			$setarrss=array(
			'cd_userid' => $CcTvAi_com_userid,
			'cd_username' => $CcTvAi_com_username,
			'cd_userip' => $_SERVER["REMOTE_ADDR"],
			'cd_filetype' => $filetypes,
			'cd_filename' => "" . date('Ymd') . "/" . $id . "." . fileext($_FILES['Filedata']['name']) . "",
			'cd_filesize' => $_FILES["Filedata"]["size"],
			'cd_fileurl' => $targetDirW.$targetDirM,
			'cd_filetime' => time()
			);
			inserttable('upload', $setarrss, 1);
			echo '0';
		}
}
?>